---
title: "Summary data of a Cumulus Kontoauszug"
url: "https://developer.migros.ch/apis/layout-api-1/versions/ba4ab42c-2abb-4848-ba02-96d8671a0622/operations/accountstatementSummary"
---

> Full API specification: https://developer.migros.ch/apis/layout-api-1/versions/ba4ab42c-2abb-4848-ba02-96d8671a0622.md

# Summary data of a Cumulus Kontoauszug

`GET` `/migros/customers/account-statements/v1/summary/{cumulus}/{period}`

Operation ID: `accountstatementSummary`

Provide summary data of a certain account statement (Cumulus Kontoauszug).

## Path parameters

- `cumulus` (integer, required) - Cumulus Number
- `period` (integer, required) - Collection period/Sammlungsperiode (eg. 20246 for 01.08.2024 to 30.09.2024)

## Responses

- `200` - JSON with selected summary data

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Layout-API
  version: 1.3.0
servers:
  - description: URL of upstream
    url: https://api.migros.ch
paths:
  /migros/customers/account-statements/v1/summary/{cumulus}/{period}:
    get:
      description: Provide summary data of a certain account statement (Cumulus
        Kontoauszug).
      operationId: accountstatementSummary
      parameters:
        - $ref: "#/components/parameters/cumulus"
        - $ref: "#/components/parameters/period"
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SummaryResponse"
          description: JSON with selected summary data
      summary: Summary data of a Cumulus Kontoauszug
      tags:
        - Account-Statement
security:
  - Kong-Api-Key: []
components:
  parameters:
    cumulus:
      description: Cumulus Number
      example: 2099123456789
      in: path
      name: cumulus
      required: true
      schema:
        maximum: 2099999999999
        minimum: 2098000000000
        type: integer
    period:
      description: Collection period/Sammlungsperiode (eg. 20246 for 01.08.2024 to
        30.09.2024)
      example: 20246
      in: path
      name: period
      required: true
      schema:
        type: integer
  schemas:
    SummaryResponse:
      properties:
        balancePoints:
          example: 138
          type: number
        payoutCumulusBonsCHF:
          example: 10
          type: number
        totalAmountCHF:
          example: 349.26
          type: number
        totalPoints:
          example: 963
          type: number
      type: object
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
```
